> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getGarnishmentTypes

> The `getGarnishmentTypes` API retrieves the available garnishments you can add to an employee

### When to use:
- When a garnishment is necessary for an employee
- Used to populate a dropdown of garnishment types to use in `addGarnishments`

### Note:
- Type can be used to retrieve available agencies if applicable using `getGarnishmentAgencies`
- Use these garnishmentTypes to retrieve the fields using `getGarnishmentFormFields`



## OpenAPI

````yaml get /reports/getGarnishmentTypes
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /reports/getGarnishmentTypes:
    get:
      tags: []
      summary: getGarnishmentTypes
      description: >-
        The `getGarnishmentTypes` API retrieves the available garnishments you
        can add to an employee


        ### When to use:

        - When a garnishment is necessary for an employee

        - Used to populate a dropdown of garnishment types to use in
        `addGarnishments`


        ### Note:

        - Type can be used to retrieve available agencies if applicable using
        `getGarnishmentAgencies`

        - Use these garnishmentTypes to retrieve the fields using
        `getGarnishmentFormFields`
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
              required:
                - method
            example:
              method: getGarnishmentTypes
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  garnishmentTypes:
                    type: array
                    items:
                      type: string
                required:
                  - garnishmentTypes
              example:
                garnishmentTypes:
                  - Administrative
                  - Bankruptcy
                  - Child Support
                  - Federal Tax Lien
                  - Other Garnishment
                  - State Tax Lien
                  - Student Loan
                  - Voluntary Wage
          headers: {}
      deprecated: false
      security: []

````